/* vim: set sw=3 ts=3 sts=3 expandtab: */
#ifndef ECDB_MISC_H
#define ECDB_MISC_H

int             ecdb_shutdown(void *data, int type, void *event);
int             ecdb_burn_init(void);
int             ecdb_image_init(void);

/* This is misc after all */
int             ecdb_match_keyword(const char *chk, const char *key, int len);
char           *ecdb_strip_next_argument(const char *strip);
char           *ecdb_strip_string(const char *strip);
int             ecdb_speed_convert(Ecdb_Drive_Info *drive, int sel);

// Also consider moving dnd stuff into its own file
int             ecdb_dnd_position(void *data, int type, void *event);
int             ecdb_dnd_drop(void *data, int type, void *event);
int             ecdb_dnd_selection(void *data, int type, void *event);
void            ecdb_dnd_entry_dnd_set(Evas_Object *o,
                                          Ecore_X_Selection_Data_Files *files);

#endif
